cat > /root/droits_fin_MAJ-WP.sh <<'EOT'
#!/bin/bash 
# Nom du script: /bin/droits_fin_MAJ-WP.sh
# Michel-André / michelandre@micronator.org / 2016-08-17_10h39

Usage() { 
  echo -e "\n"
  echo "Ce script doit être roulé par l'usager root." 
  echo -e "\nUsage:\n$0 [Nom_de_l'ibay_de_WordPress_à_MAJ]" 
  echo -e "\nExemple:\n$0 Primary \n$0 toto\n" 
} 

# Si le nombre d'arguments est différent de 1, affiche l'usage.
if [  $# != 1 ] 
  then
    echo -e "\nArgument invalide\n" 
    # Usage
    exit 1
fi 

# Si l'usager a entré -h ou --help, affiche l'usage
if [[ "$1" == "-h" || "$1" == "--help" ]] ; then
    ## echo "Demande d'aide." 
    Usage
    exit 0
fi

# Affiche message si l'usager n'est pas root.
if [[ $USER != "root" ]]; then 
  echo "ce script doit être roulé par root"
  exit 1
fi 

# Est-ce que l'argument pointe vers une i-bay?
if [ ! -d /home/e-smith/files/ibays/$1 ];
  then  # L'argument ne pointe pas vers une i-bay valide.
    echo -e "\nL'i-bay \"$1\" n'existe pas\n"
    exit 1
  else  # C'est une i-bay.
    if [ "$1" == "Primary" ]   # Est-ce l'ibay Primary?
      then   # C'est l'i-bay Primary.
        echo -e ""
        defaut=o
        read -p "Vous avez bien spécifié l'i-bay:  \"/home/e-smith/files/ibays/$1\"?  o/n [$defaut]: " REPONSE
        REPONSE=${REPONSE:-$defaut}
        if [[ $REPONSE == "o" || $REPONSE == "oui" || $REPONSE == "O" || $REPONSE == "Oui" ]]
          then  # i-bay Primary confirmée, ajuster les droits
            ## echo "Les commandes de: Primary"
            ## On se rend dans le répertoire racine de notre site.
            cd /home/e-smith/files/ibays/Primary/html/  2>&1
            ## On déplace le fichier readme.html dans le répertoire
            ## au dessus de la racine de notre site.
            /bin/mv -f readme.html ../
            ## Répertoires wp-admin et wp-includes
            chmod -R g-w  wp-admin  wp-includes  2>&1
##
            ##  Ramener le fichier .htaccess dans le répertoire racine
            if [ -f ../.htaccess ]; then /bin/mv -f ../.htaccess . ; fi 2>&1
            ##
            ## Enlever le droit d'écriture à tous les fichiers du répertoire racine
            /bin/find . -maxdepth 1 -type f  -exec /bin/chmod g-w {} \; 2>&1
##
            ## On affiche le répertoire racine
            echo -e "\n********** Répertoire racine **********"
            ls -als
            exit 0
          else  # i-bay Primary non confirmée
            echo -e "\n********** L'i-bay \"$1\" non confirmée\n"
            exit 0
        fi
      else # Confirmation que c'est une autre i-bay, ajuster les droits      
        echo -e ""
        defaut=o
        read -p "Vous avez bien spécifié l'i-bay:  \"/home/e-smith/files/ibays/$1\"?  o/n [$defaut]: " REPONSE
        REPONSE=${REPONSE:-$defaut}
        if [[ $REPONSE == "o" || $REPONSE == "oui" || $REPONSE == "O" || $REPONSE == "Oui" ]]
          then # autre i-bay confirmée
            ## echo -e "\nN'est pas Prinary\n"
            ## echo "Les commandes d'une aute i-bay (suite)"
            ## On se rend dans le répertoire racine de notre site.
            cd /home/e-smith/files/ibays/$1/html/  2>&1
            ## On déplace le fichier readme.html dans le répertoire
            ## au dessus de la racine de notre site.
            /bin/mv -f readme.html ../
            ## Répertoires wp-admin et wp-includes
            chmod -R g-w  wp-admin  wp-includes  2>&1
##
            ##  Ramener le fichier .htaccess dans le répertoire racine
            if [ -f ../.htaccess ]; then /bin/mv -f ../.htaccess . ; fi 2>&1
            ##
            ## Enlever le droit d'écriture à tous les fichiers du répertoire racine
            /bin/find . -maxdepth 1 -type f  -exec /bin/chmod g-w {} \; 2>&1
##
            ## On affiche le répertoire racine
            echo -e "\n********** Répertoire racine **********"               
            ls -als
            exit 0
          else   # autre i-bay non confirmée
            echo -e "\n********** L'i-bay \"$1\" non confirmée\n"
            exit 0
        fi
    fi
fi
echo "Il y a une erreur quelque part !!!"
EOT
